# $Id: perl-Date-Calc.spec,v 1.2 2002/09/17 14:56:52 homyakov Exp $

%define module_name Date-Calc

Name: perl-%module_name
Summary: %module_name module for perl
Version: 5.3
Release: alt2.1

Packager: Igor Homyakov <homyakov@altlinux.ru>

Group: Development/Perl
URL: http://www.cpan.org/modules/by-module/Date/
Copyright: GPL or Artistic
Source: http://www.cpan.org/modules/by-module/Date/%module_name-%version.tar.gz
AutoReqProv: yes, perl

# Automatically added by buildreq on Mon Nov 04 2002
BuildRequires: perl-Bit-Vector perl-devel

%description
This package consists of a C library (intended to make life easier for C
developers) and a Perl module to access this library from Perl.

The library provides all sorts of date calculations based on the Gregorian
calendar (the one used in all western countries today), thereby complying
with all relevant norms and standards: ISO/R 2015-1971, DIN 1355 and, to
some extent, ISO 8601 (where applicable).

The package is designed as an efficient (and fast) toolbox, not a bulky
ready-made application. It provides extensive documentation and examples
of use, multi-language support and special functions for business needs.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%__perl -pi -e 's{^#!.*perl.*}{#!/usr/bin/perl -w}' examples/*
%__chmod -x examples/*

%install
%perl_vendor_install

%files
%doc *.txt examples/
%perl_vendor_archlib/Date*
%perl_vendor_autolib/Date*
%perl_vendor_man3dir/*
%exclude %perl_vendor_man3dir/Carp*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 5.3-alt2.1
- Rebuilt with rpm-build-perl-0.5.1.

* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 5.3-alt2
- rebuild with new perl

* Mon Sep 30 2002 Igor Homyakov <homyakov at altlinux dot ru> 5.3-alt1
- 5.3

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 5.1-alt1
- 5.1-alt1 
- cleanup spec file

* Wed Nov 14 2001 Igor Homyakov <homyakov@altlinux.ru> alt1 
- Build package for ALTLinux 
